# Sort by EPSS: Most Likely to Be Exploited First

CVEs published in 2026, highest EPSS score first.

Source: https://docs.deepinfo.com/reference/vulnerability/search/examples/sort-epss/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/vulnerability-search?page_size=25`

CVEs published in 2026, highest EPSS score first.

Example 8 of 9 in **Sorting** · [Vulnerability Search Examples](/reference/vulnerability/search/examples/) · endpoint: [Search](/reference/vulnerability/search/)

Tags: `field` `published` · `operator` `gte` · `sort` `enrichment.epss_score.epss` · `order` `desc`

Sorts by `enrichment.epss_score.epss` descending.

In the response, look at `results[].enrichment.epss_score.epss`.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `published` |
| `filters.must[0].type` | body | `gte` |
| `filters.must[0].value` | body | `2026-01-01T00:00:00Z` |
| `sort[0].field` | body | `enrichment.epss_score.epss` |
| `sort[0].order` | body | `desc` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/vulnerability-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "published",
        "type": "gte",
        "value": "2026-01-01T00:00:00Z"
      }
    ]
  },
  "sort": [
    {
      "field": "enrichment.epss_score.epss",
      "order": "desc"
    }
  ]
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown; results[].references: first 10 items; results[].configurations: first 10 items; results[].configurations[].nodes[].cpe_match: first 10 items; results[].enrichment.cpe: first 10 items

`Content-Type: application/json` · `ratelimit-limit: 1` · `ratelimit-remaining: 0` · `ratelimit-reset: 1` · `x-ratelimit-limit-second: 1` · `x-ratelimit-remaining-second: 0` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 70790,
  "results": [
    {
      "id": "CVE-2026-10520",
      "source_identifier": "3c1d8aa1-5a33-4ea4-8992-aadd6440af75",
      "published": "2026-06-09T16:16:35Z",
      "last_modified": "2026-07-23T08:10:00Z",
      "status": "Analyzed",
      "evaluator_comment": null,
      "evaluator_solution": null,
      "evaluator_impact": null,
      "cisa_exploit_add": "2026-06-11",
      "cisa_action_due": "2026-06-14",
      "cisa_required_action": "Apply mitigations in accordance with vendor instructions, ensuring compliance with CISA’s BOD 26-04 Prioritizing Security Updates Based on Risk (see URL in Notes) guidance and CISA’s “Forensics Triage Requirements” (see URL in Notes). Follow applicable BOD 26-04 guidance for cloud services or discontinue use of the product if mitigations are unavailable. Stakeholders are responsible for evaluating each asset's internet exposure and ensuring adherence to BOD 26-04 patching guidelines.",
      "cisa_vulnerability_name": "Ivanti Sentry OS Command Injection Vulnerability",
      "descriptions": [
        {
          "lang": "en",
          "value": "An OS Command Injection vulnerability in Ivanti Sentry before the R10.5.2, R10.6.2 and R10.7.1 versions allows a remote unauthenticated user to achieve root-level remote code execution"
        },
        {
          "lang": "es",
          "value": "Una vulnerabilidad de inyección de comandos del sistema operativo en Ivanti Sentry anterior a las versiones R10.5.2, R10.6.2 y R10.7.1 permite a un usuario remoto no autenticado lograr ejecución remota de código a nivel de root."
        }
      ],
      "references": [
        {
          "url": "https://hub.ivanti.com/s/article/Security-Advisory-Ivanti-Sentry-CVE-2026-10520-CVE-2026-10523?language=en_US",
          "source": "3c1d8aa1-5a33-4ea4-8992-aadd6440af75",
          "tags": [
            "Patch",
            "Vendor Advisory"
          ]
        },
        {
          "url": "https://github.com/watchtowrlabs/watchTowr-vs-Ivanti-Sentry-RCE-CVE-2026-10520-CVE-2026-10523",
          "source": "134c704f-9b21-4f2e-91b3-4a467353bcc0",
          "tags": [
            "Third Party Advisory"
          ]
        },
        {
          "url": "https://www.cisa.gov/known-exploited-vulnerabilities-catalog?field_cve=CVE-2026-10520",
          "source": "134c704f-9b21-4f2e-91b3-4a467353bcc0",
          "tags": [
            "US Government Resource"
          ]
        }
      ],
      "metrics": {
        "cvss_metric_v40": null,
        "cvss_metric_v31": [
          {
            "source": "3c1d8aa1-5a33-4ea4-8992-aadd6440af75",
            "type": "Secondary",
            "cvss_data": {
              "version": "3.1",
              "vector_string": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H",
              "attack_vector": "NETWORK",
              "attack_complexity": "LOW",
              "privileges_required": "NONE",
              "user_interaction": "NONE",
              "scope": "CHANGED",
              "confidentiality_impact": "HIGH",
              "integrity_impact": "HIGH",
              "availability_impact": "HIGH",
              "base_score": 10.0,
              "base_severity": "CRITICAL",
              "exploit_code_maturity": null,
              "remediation_level": null,
              "report_confidence": null,
              "temporal_score": null,
              "temporal_severity": null,
              "confidentiality_requirement": null,
              "integrity_requirement": null,
              "availability_requirement": null,
              "modified_attack_vector": null,
              "modified_attack_complexity": null,
              "modified_privileges_required": null,
              "modified_user_interaction": null,
              "modified_scope": null,
              "modified_confidentiality_impact": null,
              "modified_integrity_impact": null,
              "modified_availability_impact": null,
              "environmental_score": null,
              "environmental_severity": null
            },
            "exploitability_score": 3.9,
            "impact_score": 6.0
          }
        ],
        "cvss_metric_v30": null,
        "cvss_metric_v2": null
      },
      "weaknesses": [
        {
          "source": "3c1d8aa1-5a33-4ea4-8992-aadd6440af75",
          "type": "Secondary",
          "description": [
            {
              "lang": "en",
              "value": "CWE-78"
            }
          ]
        }
      ],
      "configurations": [
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:ivanti:standalone_sentry:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "C33107C3-2CB4-495C-ACB2-F1440ADAA2B0",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "10.5.2"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:ivanti:standalone_sentry:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "F5579D89-84ED-45BA-922F-B84DC5E3EE93",
                  "version_start_including": "10.6.0",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "10.6.2"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:ivanti:standalone_sentry:10.7.0:*:*:*:*:*:*:*",
                  "match_criteria_id": "7F16798C-197D-4CED-BCD1-9C93A28D29D2",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            }
          ]
        }
      ],
      "vendor_comments": null,
      "enrichment": {
        "cpe": [
          {
            "criteria": "cpe:2.3:a:ivanti:standalone_sentry:*:*:*:*:*:*:*:*",
            "vendor": "ivanti",
            "product": "standalone_sentry",
            "product_type": "a",
            "vulnerable": true,
            "version_start_including": null,
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "10.5.2",
            "affected_versions_first": "9.14.0",
            "affected_versions_last": "10.5.1"
          },
          {
            "criteria": "cpe:2.3:a:ivanti:standalone_sentry:*:*:*:*:*:*:*:*",
            "vendor": "ivanti",
            "product": "standalone_sentry",
            "product_type": "a",
            "vulnerable": true,
            "version_start_including": "10.6.0",
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "10.6.2",
            "affected_versions_first": "10.6.0",
            "affected_versions_last": "10.6.1"
          },
          {
            "criteria": "cpe:2.3:a:ivanti:standalone_sentry:10.7.0:*:*:*:*:*:*:*",
            "vendor": "ivanti",
            "product": "standalone_sentry",
            "product_type": "a",
            "vulnerable": true,
            "version_start_including": null,
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": null,
            "affected_versions_first": "10.7.0",
            "affected_versions_last": "10.7.0"
          }
        ],
        "cwe": [
          {
            "id": 78,
            "owasptop10_2021": "A03 Injection",
            "name": "Improper Neutralization of Special Elements used in an OS Command ('OS Command Injection')",
            "description": "The product constructs all or part of an OS command using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify the intended OS command when it is sent to a downstream component.",
            "capec_id": [
              6,
              15,
              43,
              88,
              108
            ],
            "scope": [
              "Availability",
              "Confidentiality",
              "Integrity",
              "Non-Repudiation"
            ],
            "impact": [
              "DoS: Crash, Exit, or Restart",
              "Execute Unauthorized Code or Commands",
              "Hide Activities",
              "Modify Application Data",
              "Modify Files or Directories",
              "Read Application Data",
              "Read Files or Directories"
            ],
            "detection_method": [
              "Architecture or Design Review",
              "Automated Dynamic Analysis",
              "Automated Static Analysis",
              "Automated Static Analysis - Binary or Bytecode",
              "Automated Static Analysis - Source Code",
              "Dynamic Analysis with Automated Results Interpretation",
              "Dynamic Analysis with Manual Results Interpretation",
              "Manual Static Analysis",
              "Manual Static Analysis - Source Code"
            ]
          }
        ],
        "epss_score": {
          "epss": 0.99915,
          "percentile": 0.99968,
          "date": "2026-09-23"
        },
        "cisa_kev": {
          "vendor_project": "Ivanti",
          "product": "Sentry",
          "vulnerability_name": "Ivanti Sentry OS Command Injection Vulnerability",
          "date_added": "2026-06-11",
          "short_description": "Ivanti Sentry (formerly known as MobileIron Sentry) contains an OS command injection vulnerability which could allow a remote unauthenticated user to achieve root-level remote code execution. This vulnerability can be successfully exploited in cases where the Sentry appliance is in an unmanaged state with its endpoints externally reachable. The use of mTLS with EPMM or restricted HTTPS access through Neurons for MDM makes interfaces inaccessible to external actors.",
          "required_action": "Apply mitigations in accordance with vendor instructions, ensuring compliance with CISA’s BOD 26-04 Prioritizing Security Updates Based on Risk (see URL in Notes) guidance and CISA’s “Forensics Triage Requirements” (see URL in Notes). Follow applicable BOD 26-04 guidance for cloud services or discontinue use of the product if mitigations are unavailable. Stakeholders are responsible for evaluating each asset's internet exposure and ensuring adherence to BOD 26-04 patching guidelines.",
          "due_date": "2026-06-14",
          "known_ransomware_campaign_use": "Unknown",
          "notes": "https://hub.ivanti.com/s/article/Security-Advisory-Ivanti-Sentry-CVE-2026-10520-CVE-2026-10523?language=en_US ; BOD 26-04: https://www.cisa.gov/news-events/directives/bod-26-04-prioritizing-security-updates-based-risk ; Forensics Triage Requirements: https://www.cisa.gov/news-events/directives/bod-26-04-implementation-guidance-prioritizing-security-updates-based-risk ; https://nvd.nist.gov/vuln/detail/CVE-2026-10520"
        },
        "vdeep_metric": {
          "available_versions": [
            "3.1"
          ],
          "source": "3c1d8aa1-5a33-4ea4-8992-aadd6440af75",
          "type": "Secondary",
          "cvss_data": {
            "version": "3.1",
            "vector_string": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H",
            "attack_vector": "NETWORK",
            "attack_complexity": "LOW",
            "attack_requirements": null,
            "privileges_required": "NONE",
            "user_interaction": "NONE",
            "vulnerable_system_confidentiality": "HIGH",
            "vulnerable_system_integrity": "HIGH",
            "vulnerable_system_availability": "HIGH",
            "subsequent_system_confidentiality": null,
            "subsequent_system_integrity": null,
            "subsequent_system_availability": null,
            "exploit_maturity": null,
            "confidentiality_requirements": null,
            "integrity_requirements": null,
            "availability_requirements": null,
            "modified_attack_vector": null,
            "modified_attack_complexity": null,
            "modified_attack_requirements": null,
            "modified_privileges_required": null,
            "modified_user_interaction": null,
            "modified_vulnerable_system_confidentiality": null,
            "modified_vulnerable_system_integrity": null,
            "modified_vulnerable_system_availability": null,
            "modified_subsequent_system_confidentiality": null,
            "modified_subsequent_system_integrity": null,
            "modified_subsequent_system_availability": null,
            "safety": null,
            "automatable": null,
            "recovery": null,
            "value_density": null,
            "vulnerability_response_effort": null,
            "provider_urgency": null,
            "base_score": 10.0,
            "base_severity": "CRITICAL"
          }
        }
      }
    },
    {
      "id": "CVE-2026-31431",
      "source_identifier": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
      "published": "2026-04-22T09:16:21Z",
      "last_modified": "2026-09-08T15:13:07Z",
      "status": "Analyzed",
      "evaluator_comment": null,
      "evaluator_solution": null,
      "evaluator_impact": null,
      "cisa_exploit_add": "2026-05-01",
      "cisa_action_due": "2026-05-15",
      "cisa_required_action": "\"Apply mitigations per vendor instructions, follow applicable BOD 22-01 guidance for cloud services, or discontinue use of the product if mitigations are unavailable.",
      "cisa_vulnerability_name": "Linux Kernel Incorrect Resource Transfer Between Spheres Vulnerability",
      "descriptions": [
        {
          "lang": "en",
          "value": "In the Linux kernel, the following vulnerability has been resolved:\n\ncrypto: algif_aead - Revert to operating out-of-place\n\nThis mostly reverts commit 72548b093ee3 except for the copying of\nthe associated data.\n\nThere is no benefit in operating in-place in algif_aead since the\nsource and destination come from different mappings.  Get rid of\nall the complexity added for in-place operation and just copy the\nAD directly."
        }
      ],
      "references": [
        {
          "url": "https://git.kernel.org/stable/c/19d43105a97be0810edbda875f2cd03f30dc130c",
          "source": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
          "tags": [
            "Patch"
          ]
        },
        {
          "url": "https://git.kernel.org/stable/c/3115af9644c342b356f3f07a4dd1c8905cd9a6fc",
          "source": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
          "tags": [
            "Patch"
          ]
        },
        {
          "url": "https://git.kernel.org/stable/c/893d22e0135fa394db81df88697fba6032747667",
          "source": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
          "tags": [
            "Patch"
          ]
        },
        {
          "url": "https://git.kernel.org/stable/c/8b88d99341f139e23bdeb1027a2a3ae10d341d82",
          "source": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
          "tags": [
            "Patch"
          ]
        },
        {
          "url": "https://git.kernel.org/stable/c/961cfa271a918ad4ae452420e7c303149002875b",
          "source": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
          "tags": [
            "Patch"
          ]
        },
        {
          "url": "https://git.kernel.org/stable/c/a664bf3d603dc3bdcf9ae47cc21e0daec706d7a5",
          "source": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
          "tags": [
            "Patch"
          ]
        },
        {
          "url": "https://git.kernel.org/stable/c/ce42ee423e58dffa5ec03524054c9d8bfd4f6237",
          "source": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
          "tags": [
            "Patch"
          ]
        },
        {
          "url": "https://git.kernel.org/stable/c/fafe0fa2995a0f7073c1c358d7d3145bcc9aedd8",
          "source": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
          "tags": [
            "Patch"
          ]
        },
        {
          "url": "http://www.openwall.com/lists/oss-security/2026/04/29/23",
          "source": "af854a3a-2127-422b-91ae-364da2661108",
          "tags": [
            "Exploit",
            "Mailing List",
            "Patch"
          ]
        },
        {
          "url": "http://www.openwall.com/lists/oss-security/2026/04/29/25",
          "source": "af854a3a-2127-422b-91ae-364da2661108",
          "tags": [
            "Mailing List",
            "Patch"
          ]
        }
      ],
      "metrics": {
        "cvss_metric_v40": null,
        "cvss_metric_v31": [
          {
            "source": "416baaa9-dc9f-4396-8d5f-8c081fb06d67",
            "type": "Secondary",
            "cvss_data": {
              "version": "3.1",
              "vector_string": "CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H",
              "attack_vector": "LOCAL",
              "attack_complexity": "LOW",
              "privileges_required": "LOW",
              "user_interaction": "NONE",
              "scope": "UNCHANGED",
              "confidentiality_impact": "HIGH",
              "integrity_impact": "HIGH",
              "availability_impact": "HIGH",
              "base_score": 7.8,
              "base_severity": "HIGH",
              "exploit_code_maturity": null,
              "remediation_level": null,
              "report_confidence": null,
              "temporal_score": null,
              "temporal_severity": null,
              "confidentiality_requirement": null,
              "integrity_requirement": null,
              "availability_requirement": null,
              "modified_attack_vector": null,
              "modified_attack_complexity": null,
              "modified_privileges_required": null,
              "modified_user_interaction": null,
              "modified_scope": null,
              "modified_confidentiality_impact": null,
              "modified_integrity_impact": null,
              "modified_availability_impact": null,
              "environmental_score": null,
              "environmental_severity": null
            },
            "exploitability_score": 1.8,
            "impact_score": 5.9
          },
          {
            "source": "0b0ca135-0b70-47e7-9f44-1890c2a1c46c",
            "type": "Secondary",
            "cvss_data": {
              "version": "3.1",
              "vector_string": "CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H",
              "attack_vector": "LOCAL",
              "attack_complexity": "LOW",
              "privileges_required": "LOW",
              "user_interaction": "NONE",
              "scope": "UNCHANGED",
              "confidentiality_impact": "HIGH",
              "integrity_impact": "HIGH",
              "availability_impact": "HIGH",
              "base_score": 7.8,
              "base_severity": "HIGH",
              "exploit_code_maturity": null,
              "remediation_level": null,
              "report_confidence": null,
              "temporal_score": null,
              "temporal_severity": null,
              "confidentiality_requirement": null,
              "integrity_requirement": null,
              "availability_requirement": null,
              "modified_attack_vector": null,
              "modified_attack_complexity": null,
              "modified_privileges_required": null,
              "modified_user_interaction": null,
              "modified_scope": null,
              "modified_confidentiality_impact": null,
              "modified_integrity_impact": null,
              "modified_availability_impact": null,
              "environmental_score": null,
              "environmental_severity": null
            },
            "exploitability_score": 1.8,
            "impact_score": 5.9
          }
        ],
        "cvss_metric_v30": null,
        "cvss_metric_v2": null
      },
      "weaknesses": [
        {
          "source": "134c704f-9b21-4f2e-91b3-4a467353bcc0",
          "type": "Secondary",
          "description": [
            {
              "lang": "en",
              "value": "CWE-669"
            }
          ]
        },
        {
          "source": "0b0ca135-0b70-47e7-9f44-1890c2a1c46c",
          "type": "Secondary",
          "description": [
            {
              "lang": "en",
              "value": "CWE-1288"
            }
          ]
        }
      ],
      "configurations": [
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "24B62F9A-357D-465D-97EB-2819B1CD663C",
                  "version_start_including": "4.14",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "5.10.254"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "FA800016-0012-4E3F-A528-2A7F378A0A4A",
                  "version_start_including": "5.11",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "5.15.204"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "E6653854-B188-42DD-B8C5-0143F1956AB1",
                  "version_start_including": "5.16",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "6.1.170"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "3CA3EF52-168A-4348-8F5F-356C9EB69261",
                  "version_start_including": "6.2",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "6.6.137"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "F17D292D-A9B5-4DC7-8002-51AB95335606",
                  "version_start_including": "6.7",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "6.12.85"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "C9DF8BCE-36D3-475D-9D21-19E4F02F9029",
                  "version_start_including": "6.13",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "6.18.22"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "0A2B9540-02D5-41B4-B16A-82AF66FD4F36",
                  "version_start_including": "6.19",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "6.19.12"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:7.0:rc1:*:*:*:*:*:*",
                  "match_criteria_id": "F253B622-8837-4245-BCE5-A7BF8FC76A16",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:7.0:rc2:*:*:*:*:*:*",
                  "match_criteria_id": "4AE85AD8-4641-4E7C-A2F4-305E2CD9EE64",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:linux:linux_kernel:7.0:rc3:*:*:*:*:*:*",
                  "match_criteria_id": "F666C8D8-6538-46D4-B318-87610DE64C34",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            }
          ]
        },
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "E6FEF674-586D-4F75-B07C-407044DF151F",
                  "version_start_including": "4.12",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.12.89"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "B31A414A-0545-4634-A6FB-511541C5E097",
                  "version_start_including": "4.13",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.13.66"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "77C210A8-89BB-461A-8381-35A12D5B5116",
                  "version_start_including": "4.14",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.14.65"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "99513472-1475-4D94-AFE4-9E4DF239B100",
                  "version_start_including": "4.15",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.15.64"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "1AE50081-D222-4A00-965B-B628AB6394FF",
                  "version_start_including": "4.16",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.16.61"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "96236E42-2DF9-47AC-8438-16929A863CF0",
                  "version_start_including": "4.17",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.17.53"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "4CEDEF22-43C5-4572-A29A-89FDC67384A9",
                  "version_start_including": "4.18",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.18.40"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "665A1C48-2209-448C-945A-37337A884C11",
                  "version_start_including": "4.19",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.19.30"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "4B3BE91E-E136-4102-84BA-88FD88749F8B",
                  "version_start_including": "4.20",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.20.21"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:redhat:openshift_container_platform:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "58643369-41D9-46AB-BC74-B3025B44B143",
                  "version_start_including": "4.21",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "4.21.14"
                }
              ]
            }
          ]
        },
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:amazon:amazon_linux:-:*:*:*:*:*:*:*",
                  "match_criteria_id": "C8699C74-BF90-4CF8-9285-32576DB1FE2B",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:canonical:ubuntu_linux:-:*:*:*:*:*:*:*",
                  "match_criteria_id": "019A2188-0877-45DE-8512-F0BF70DD179C",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:debian:debian_linux:11.0:*:*:*:*:*:*:*",
                  "match_criteria_id": "FA6FEEC2-9F11-4643-8827-749718254FED",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:debian:debian_linux:12.0:*:*:*:*:*:*:*",
                  "match_criteria_id": "46D69DCC-AE4D-4EA5-861C-D60951444C6C",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:debian:debian_linux:13.0:*:*:*:*:*:*:*",
                  "match_criteria_id": "204FC6CC-9DAC-45FB-8A9F-C9C8EDD29D54",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            }
          ]
        },
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:opensuse:leap:15.3:*:*:*:*:*:*:*",
                  "match_criteria_id": "090F0D1A-6BF8-4810-8942-3FFE4FBF7FE0",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:opensuse:leap:15.4:*:*:*:*:*:*:*",
                  "match_criteria_id": "BE80EB04-7F9D-4C0B-85DB-4A13DEACB5E4",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:opensuse:leap:15.5:*:*:*:*:*:*:*",
                  "match_criteria_id": "E79D3E16-E284-40C6-916E-2EE78102BF4A",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:opensuse:leap:15.6:*:*:*:*:*:*:*",
                  "match_criteria_id": "78B4F1C7-A301-4C94-A41C-A51182B83677",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            }
          ]
        },
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:caas_platform:4.0:*:*:*:*:*:*:*",
                  "match_criteria_id": "5AB27A2D-549C-450E-A09E-B3316895F052",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:enterprise_storage:6.0:*:*:*:*:*:*:*",
                  "match_criteria_id": "3B20D44D-F87E-4692-8E04-695683F1ECE6",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:enterprise_storage:7.0:*:*:*:*:*:*:*",
                  "match_criteria_id": "F7305944-AC9C-47A3-AADF-71A8B24830D1",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:enterprise_storage:7.1:*:*:*:*:*:*:*",
                  "match_criteria_id": "D9A626D2-FF84-40BB-B5A2-053D64992FE5",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:manager_proxy:4.0:*:*:*:*:*:*:*",
                  "match_criteria_id": "71A42960-17FA-4F96-8CF4-BADAB702EBA4",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:manager_proxy:4.1:*:*:*:*:*:*:*",
                  "match_criteria_id": "9910C73A-3BCD-4F56-8C7D-79CB289640A2",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:manager_proxy:4.2:*:*:*:*:*:*:*",
                  "match_criteria_id": "B0156BFA-9E83-43E6-9C73-9711AD054B5A",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:manager_proxy:4.3:*:*:*:*:*:*:*",
                  "match_criteria_id": "CAC2D0A4-56F8-4ED6-91E2-78434A016C5F",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:manager_retail_branch_server:4.0:*:*:*:*:*:*:*",
                  "match_criteria_id": "A4F81939-C109-4643-951E-42F8F20F4672",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:suse:manager_retail_branch_server:4.1:*:*:*:*:*:*:*",
                  "match_criteria_id": "450A3B3F-F26D-4EAB-BF5D-4C906C4A99DD",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            }
          ]
        },
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:basesystem_module:15:sp1:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "357F7687-7710-4F51-A655-E02F3A3603FF",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:basesystem_module:15:sp2:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "9199A62B-B38B-482D-9557-7E43A6E13774",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:basesystem_module:15:sp3:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "02D86BE4-C975-4F28-861D-3313E144BAC3",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:basesystem_module:15:sp4:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "2268D43F-6457-4708-AB00-F111B5945016",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:basesystem_module:15:sp5:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "990A2271-69DA-4FC9-BD7B-2D1A22BF26E0",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:basesystem_module:15:sp6:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "31785EF5-12E3-44EB-9391-B34C9476A075",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:basesystem_module:15:sp7:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "2E177376-B887-4D00-BD07-60C1B862901F",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:development_tools_module:15:sp1:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "58DEE083-487A-4C64-A269-CD5C63D4A273",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:development_tools_module:15:sp2:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "0E65BF75-2DE8-46D3-8A34-BC5EDB9B66D2",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:suse:development_tools_module:15:sp3:*:*:*:suse_linux_enterprise:*:*",
                  "match_criteria_id": "D15DC0F1-2C7A-45F3-BC08-82A4B925B2B2",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            }
          ]
        },
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:nixos:nixos:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "A1DAD7C2-EBFB-4DF5-A727-0A84F8F31619",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "25.11"
                }
              ]
            }
          ]
        },
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:arista:cloudvision_agni:*:*:*:*:*:-:*:*",
                  "match_criteria_id": "A4C875E3-0FFA-4806-BA6C-EB2F8EBF76AF",
                  "version_start_including": "2024.4.0",
                  "version_start_excluding": null,
                  "version_end_including": "2025.2.2",
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:arista:cloudvision_portal:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "0ADB58FD-7F44-4BA1-9A55-21E220B4FFDF",
                  "version_start_including": "2024.2.0",
                  "version_start_excluding": null,
                  "version_end_including": "2026.1.0",
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:arista:velocloud_edge:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "1A9C5C40-C542-4320-9777-29A0F2D70220",
                  "version_start_including": "4.5.0",
                  "version_start_excluding": null,
                  "version_end_including": "6.4.1",
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:arista:velocloud_gateway:-:*:*:*:*:*:*:*",
                  "match_criteria_id": "88F2CE3D-1529-4A87-BD14-173BF206D7A9",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:arista:velocloud_orchestrator:-:*:*:*:*:*:*:*",
                  "match_criteria_id": "01F6A323-B165-4506-8573-8877F567FEBF",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:arista:netvisor_os:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "A3349C40-C473-4744-AF72-AB6B0EBDB92F",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "7.1.0"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:arista:netvisor_os:7.1.0:-:*:*:*:*:*:*",
                  "match_criteria_id": "447BB72F-95B9-4F2E-8CDD-74664AD045ED",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:arista:netvisor_os:7.1.0:hotfix7:*:*:*:*:*:*",
                  "match_criteria_id": "82A2BB74-B148-44F1-904E-325E89720073",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            }
          ]
        },
        {
          "operator": "AND",
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:siemens:simatic_s7-1500_cpu_1518-4_pn/dp_mfp_firmware:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "99E36624-A573-47D9-B158-B18A8A822FBA",
                  "version_start_including": "3.1.5",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            },
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": false,
                  "criteria": "cpe:2.3:h:siemens:simatic_s7-1500_cpu_1518-4_pn/dp_mfp:-:*:*:*:*:*:*:*",
                  "match_criteria_id": "3BC4FA01-8DDB-41E4-B759-7B504F78AEBC",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            }
          ]
        },
        {
          "operator": "AND",
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:siemens:simatic_s7-1500_cpu_1518f-4_pn/dp_mfp_firmware:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "2A7548B8-3DF7-46D9-8A4F-87C38969D900",
                  "version_start_including": "3.1.5",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            },
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": false,
                  "criteria": "cpe:2.3:h:siemens:simatic_s7-1500_cpu_1518f-4_pn/dp_mfp:-:*:*:*:*:*:*:*",
                  "match_criteria_id": "5B1EE93D-BAD2-4B86-910C-8784FCC9F398",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": null
                }
              ]
            }
          ]
        }
      ],
      "vendor_comments": null,
      "enrichment": {
        "cpe": [
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": "4.14",
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "5.10.254",
            "affected_versions_first": "4.18.0-193.el8",
            "affected_versions_last": "5.10.253"
          },
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": "5.11",
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "5.15.204",
            "affected_versions_first": "5.11",
            "affected_versions_last": "5.15.203"
          },
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": "5.16",
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "6.1.170",
            "affected_versions_first": "5.16",
            "affected_versions_last": "6.1.169"
          },
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": "6.2",
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "6.6.137",
            "affected_versions_first": "6.2",
            "affected_versions_last": "6.6.136"
          },
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": "6.7",
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "6.12.85",
            "affected_versions_first": "6.7",
            "affected_versions_last": "6.12.84"
          },
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": "6.13",
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "6.18.22",
            "affected_versions_first": "6.13",
            "affected_versions_last": "6.18.21"
          },
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": "6.19",
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "6.19.12",
            "affected_versions_first": "6.19",
            "affected_versions_last": "6.19.11"
          },
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:7.0:rc1:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": null,
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": null,
            "affected_versions_first": "7.0",
            "affected_versions_last": "7.0"
          },
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:7.0:rc2:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": null,
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": null,
            "affected_versions_first": "7.0",
            "affected_versions_last": "7.0"
          },
          {
            "criteria": "cpe:2.3:o:linux:linux_kernel:7.0:rc3:*:*:*:*:*:*",
            "vendor": "linux",
            "product": "linux_kernel",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": null,
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": null,
            "affected_versions_first": "7.0",
            "affected_versions_last": "7.0"
          }
        ],
        "cwe": [
          {
            "id": 1288,
            "owasptop10_2021": null,
            "name": "Improper Validation of Consistency within Input",
            "description": "The product receives a complex input with multiple elements or fields that must be consistent with each other, but it does not validate or incorrectly validates that the input is actually consistent.",
            "capec_id": null,
            "scope": [
              "Other"
            ],
            "impact": [
              "Varies by Context"
            ],
            "detection_method": null
          },
          {
            "id": 669,
            "owasptop10_2021": null,
            "name": "Incorrect Resource Transfer Between Spheres",
            "description": "The product does not properly transfer a resource/behavior to another sphere, or improperly imports a resource/behavior from another sphere, in a manner that provides unintended control over that resource.",
            "capec_id": null,
            "scope": [
              "Confidentiality",
              "Integrity"
            ],
            "impact": [
              "Modify Application Data",
              "Read Application Data",
              "Unexpected State"
            ],
            "detection_method": null
          }
        ],
        "epss_score": {
          "epss": 0.99907,
          "percentile": 0.99966,
          "date": "2026-09-23"
        },
        "cisa_kev": {
          "vendor_project": "Linux",
          "product": "Kernel",
          "vulnerability_name": "Linux Kernel Incorrect Resource Transfer Between Spheres Vulnerability",
          "date_added": "2026-05-01",
          "short_description": "Linux Kernel contains an incorrect resource transfer between spheres vulnerability that could allow for privilege escalation.",
          "required_action": "\"Apply mitigations per vendor instructions, follow applicable BOD 22-01 guidance for cloud services, or discontinue use of the product if mitigations are unavailable.",
          "due_date": "2026-05-15",
          "known_ransomware_campaign_use": "Unknown",
          "notes": "https://lore.kernel.org/linux-cve-announce/2026042214-CVE-2026-31431-3d65@gregkh/; https://xint.io/blog/copy-fail-linux-distributions#the-fix-6 ; https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/about/ ; https://nvd.nist.gov/vuln/detail/CVE-2026-31431"
        },
        "vdeep_metric": {
          "available_versions": [
            "3.1"
          ],
          "source": "0b0ca135-0b70-47e7-9f44-1890c2a1c46c",
          "type": "Secondary",
          "cvss_data": {
            "version": "3.1",
            "vector_string": "CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H",
            "attack_vector": "LOCAL",
            "attack_complexity": "LOW",
            "attack_requirements": null,
            "privileges_required": "LOW",
            "user_interaction": "NONE",
            "vulnerable_system_confidentiality": "HIGH",
            "vulnerable_system_integrity": "HIGH",
            "vulnerable_system_availability": "HIGH",
            "subsequent_system_confidentiality": null,
            "subsequent_system_integrity": null,
            "subsequent_system_availability": null,
            "exploit_maturity": null,
            "confidentiality_requirements": null,
            "integrity_requirements": null,
            "availability_requirements": null,
            "modified_attack_vector": null,
            "modified_attack_complexity": null,
            "modified_attack_requirements": null,
            "modified_privileges_required": null,
            "modified_user_interaction": null,
            "modified_vulnerable_system_confidentiality": null,
            "modified_vulnerable_system_integrity": null,
            "modified_vulnerable_system_availability": null,
            "modified_subsequent_system_confidentiality": null,
            "modified_subsequent_system_integrity": null,
            "modified_subsequent_system_availability": null,
            "safety": null,
            "automatable": null,
            "recovery": null,
            "value_density": null,
            "vulnerability_response_effort": null,
            "provider_urgency": null,
            "base_score": 7.8,
            "base_severity": "HIGH"
          }
        }
      }
    },
    {
      "id": "CVE-2026-8037",
      "source_identifier": "user@progress.com",
      "published": "2026-06-04T14:16:45Z",
      "last_modified": "2026-08-10T20:19:44Z",
      "status": "Analyzed",
      "evaluator_comment": null,
      "evaluator_solution": null,
      "evaluator_impact": null,
      "cisa_exploit_add": "2026-08-07",
      "cisa_action_due": "2026-08-10",
      "cisa_required_action": "Apply mitigations in accordance with vendor instructions, ensuring compliance with CISA’s BOD 26-04 Prioritizing Security Updates Based on Risk (see URL in Notes) guidance and CISA’s “Forensics Triage Requirements” (see URL in Notes). Follow applicable BOD 26-04 guidance for cloud services or discontinue use of the product if mitigations are unavailable. Stakeholders are responsible for evaluating each asset's internet exposure and ensuring adherence to BOD 26-04 patching guidelines.",
      "cisa_vulnerability_name": "Progress LoadMaster Command Injection Vulnerability",
      "descriptions": [
        {
          "lang": "en",
          "value": "OS Command Injection Remote Code Execution Vulnerability in API in Progress ADC Products allows an un-authenticated attacker to execute arbitrary commands on the LoadMaster appliance by exploiting unsanitized input in multiple command endpoints"
        },
        {
          "lang": "es",
          "value": "Vulnerabilidad de ejecución remota de código por inyección de comandos del sistema operativo en la API en Productos Progress ADC permite a un atacante no autenticado ejecutar comandos arbitrarios en el dispositivo LoadMaster explotando la entrada no saneada en múltiples puntos finales de comando."
        }
      ],
      "references": [
        {
          "url": "https://community.progress.com/s/article/LoadMaster-Critical-Security-Bulletin-June-2026-CVE-2026-8037-CVE-2026-33691",
          "source": "user@progress.com",
          "tags": [
            "Patch",
            "Vendor Advisory"
          ]
        },
        {
          "url": "https://labs.watchtowr.com/enterprise-tech-in-shell-out-progress-kemp-loadmaster-uninitialized-heap-to-pre-auth-rce-cve-2026-8037/",
          "source": "134c704f-9b21-4f2e-91b3-4a467353bcc0",
          "tags": [
            "Exploit",
            "Patch",
            "Third Party Advisory"
          ]
        },
        {
          "url": "https://www.cisa.gov/known-exploited-vulnerabilities-catalog?field_cve=CVE-2026-8037",
          "source": "134c704f-9b21-4f2e-91b3-4a467353bcc0",
          "tags": [
            "US Government Resource"
          ]
        },
        {
          "url": "https://www.esentire.com/security-advisories/progress-kemp-loadmaster-vulnerability-targeted-cve-2026-8037",
          "source": "134c704f-9b21-4f2e-91b3-4a467353bcc0",
          "tags": [
            "Third Party Advisory"
          ]
        }
      ],
      "metrics": {
        "cvss_metric_v40": null,
        "cvss_metric_v31": [
          {
            "source": "user@progress.com",
            "type": "Secondary",
            "cvss_data": {
              "version": "3.1",
              "vector_string": "CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H",
              "attack_vector": "ADJACENT_NETWORK",
              "attack_complexity": "LOW",
              "privileges_required": "NONE",
              "user_interaction": "NONE",
              "scope": "CHANGED",
              "confidentiality_impact": "HIGH",
              "integrity_impact": "HIGH",
              "availability_impact": "HIGH",
              "base_score": 9.6,
              "base_severity": "CRITICAL",
              "exploit_code_maturity": null,
              "remediation_level": null,
              "report_confidence": null,
              "temporal_score": null,
              "temporal_severity": null,
              "confidentiality_requirement": null,
              "integrity_requirement": null,
              "availability_requirement": null,
              "modified_attack_vector": null,
              "modified_attack_complexity": null,
              "modified_privileges_required": null,
              "modified_user_interaction": null,
              "modified_scope": null,
              "modified_confidentiality_impact": null,
              "modified_integrity_impact": null,
              "modified_availability_impact": null,
              "environmental_score": null,
              "environmental_severity": null
            },
            "exploitability_score": 2.8,
            "impact_score": 6.0
          },
          {
            "source": "user@nist.gov",
            "type": "Primary",
            "cvss_data": {
              "version": "3.1",
              "vector_string": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H",
              "attack_vector": "NETWORK",
              "attack_complexity": "LOW",
              "privileges_required": "NONE",
              "user_interaction": "NONE",
              "scope": "UNCHANGED",
              "confidentiality_impact": "HIGH",
              "integrity_impact": "HIGH",
              "availability_impact": "HIGH",
              "base_score": 9.8,
              "base_severity": "CRITICAL",
              "exploit_code_maturity": null,
              "remediation_level": null,
              "report_confidence": null,
              "temporal_score": null,
              "temporal_severity": null,
              "confidentiality_requirement": null,
              "integrity_requirement": null,
              "availability_requirement": null,
              "modified_attack_vector": null,
              "modified_attack_complexity": null,
              "modified_privileges_required": null,
              "modified_user_interaction": null,
              "modified_scope": null,
              "modified_confidentiality_impact": null,
              "modified_integrity_impact": null,
              "modified_availability_impact": null,
              "environmental_score": null,
              "environmental_severity": null
            },
            "exploitability_score": 3.9,
            "impact_score": 5.9
          }
        ],
        "cvss_metric_v30": null,
        "cvss_metric_v2": null
      },
      "weaknesses": [
        {
          "source": "user@progress.com",
          "type": "Secondary",
          "description": [
            {
              "lang": "en",
              "value": "CWE-77"
            }
          ]
        }
      ],
      "configurations": [
        {
          "operator": null,
          "negate": null,
          "nodes": [
            {
              "operator": "OR",
              "negate": false,
              "cpe_match": [
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:progress:connection_manager_for_objectscale:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "029CD311-B604-4813-A75B-4D21806279D2",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "7.2.63.2"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:progress:ecs_connection_manager:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "E431D517-8DEE-44FD-AA7B-E5C536574933",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "7.2.63.2"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:a:progress:moveit_web_application_firewall:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "56F045CC-CA18-4511-8FE4-9C3AD89E0FA6",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "7.2.63.2"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:progress:loadmaster:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "52829479-F76A-464C-93E2-11A4D090AF99",
                  "version_start_including": null,
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "7.2.54.18"
                },
                {
                  "vulnerable": true,
                  "criteria": "cpe:2.3:o:progress:loadmaster:*:*:*:*:*:*:*:*",
                  "match_criteria_id": "B5492541-EE6C-41A7-A826-E4D323EB9CBB",
                  "version_start_including": "7.2.55.0",
                  "version_start_excluding": null,
                  "version_end_including": null,
                  "version_end_excluding": "7.2.63.2"
                }
              ]
            }
          ]
        }
      ],
      "vendor_comments": null,
      "enrichment": {
        "cpe": [
          {
            "criteria": "cpe:2.3:a:progress:connection_manager_for_objectscale:*:*:*:*:*:*:*:*",
            "vendor": "progress",
            "product": "connection_manager_for_objectscale",
            "product_type": "a",
            "vulnerable": true,
            "version_start_including": null,
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "7.2.63.2",
            "affected_versions_first": "7.2.62.0",
            "affected_versions_last": "7.2.63.1"
          },
          {
            "criteria": "cpe:2.3:a:progress:ecs_connection_manager:*:*:*:*:*:*:*:*",
            "vendor": "progress",
            "product": "ecs_connection_manager",
            "product_type": "a",
            "vulnerable": true,
            "version_start_including": null,
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "7.2.63.2",
            "affected_versions_first": "7.2.59.3",
            "affected_versions_last": "7.2.63.1"
          },
          {
            "criteria": "cpe:2.3:o:progress:loadmaster:*:*:*:*:*:*:*:*",
            "vendor": "progress",
            "product": "loadmaster",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": null,
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "7.2.54.18",
            "affected_versions_first": "7.0-4",
            "affected_versions_last": "7.2.54.17"
          },
          {
            "criteria": "cpe:2.3:o:progress:loadmaster:*:*:*:*:*:*:*:*",
            "vendor": "progress",
            "product": "loadmaster",
            "product_type": "o",
            "vulnerable": true,
            "version_start_including": "7.2.55.0",
            "version_start_excluding": null,
            "version_end_including": null,
            "version_end_excluding": "7.2.63.2",
            "affected_versions_first": "7.2.55.0",
            "affected_versions_last": "7.2.63.1"
          }
        ],
        "cwe": [
          {
            "id": 77,
            "owasptop10_2021": "A03 Injection",
            "name": "Improper Neutralization of Special Elements used in a Command ('Command Injection')",
            "description": "The product constructs all or part of a command using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify the intended command when it is sent to a downstream component.",
            "capec_id": [
              15,
              40,
              43,
              75,
              76,
              136,
              183,
              248
            ],
            "scope": [
              "Availability",
              "Confidentiality",
              "Integrity"
            ],
            "impact": [
              "Execute Unauthorized Code or Commands"
            ],
            "detection_method": [
              "Automated Static Analysis"
            ]
          }
        ],
        "epss_score": {
          "epss": 0.99571,
          "percentile": 0.99946,
          "date": "2026-09-21"
        },
        "cisa_kev": {
          "vendor_project": "Progress",
          "product": "LoadMaster",
          "vulnerability_name": "Progress LoadMaster Command Injection Vulnerability",
          "date_added": "2026-08-07",
          "short_description": "Progress LoadMaster contains a command injection vulnerability that allows an un-authenticated attacker to execute arbitrary commands on the LoadMaster appliance by exploiting unsanitized input in multiple command endpoints.",
          "required_action": "Apply mitigations in accordance with vendor instructions, ensuring compliance with CISA’s BOD 26-04 Prioritizing Security Updates Based on Risk (see URL in Notes) guidance and CISA’s “Forensics Triage Requirements” (see URL in Notes). Follow applicable BOD 26-04 guidance for cloud services or discontinue use of the product if mitigations are unavailable. Stakeholders are responsible for evaluating each asset's internet exposure and ensuring adherence to BOD 26-04 patching guidelines.",
          "due_date": "2026-08-10",
          "known_ransomware_campaign_use": "Unknown",
          "notes": "https://community.progress.com/s/article/LoadMaster-Critical-Security-Bulletin-June-2026-CVE-2026-8037-CVE-2026-33691 ; BOD 26-04: https://www.cisa.gov/news-events/directives/bod-26-04-prioritizing-security-updates-based-risk ; Forensics Triage Requirements: https://www.cisa.gov/news-events/directives/bod-26-04-implementation-guidance-prioritizing-security-updates-based-risk ; https://nvd.nist.gov/vuln/detail/CVE-2026-8037"
        },
        "vdeep_metric": {
          "available_versions": [
            "3.1"
          ],
          "source": "user@nist.gov",
          "type": "Primary",
          "cvss_data": {
            "version": "3.1",
            "vector_string": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H",
            "attack_vector": "NETWORK",
            "attack_complexity": "LOW",
            "attack_requirements": null,
            "privileges_required": "NONE",
            "user_interaction": "NONE",
            "vulnerable_system_confidentiality": "HIGH",
            "vulnerable_system_integrity": "HIGH",
            "vulnerable_system_availability": "HIGH",
            "subsequent_system_confidentiality": null,
            "subsequent_system_integrity": null,
            "subsequent_system_availability": null,
            "exploit_maturity": null,
            "confidentiality_requirements": null,
            "integrity_requirements": null,
            "availability_requirements": null,
            "modified_attack_vector": null,
            "modified_attack_complexity": null,
            "modified_attack_requirements": null,
            "modified_privileges_required": null,
            "modified_user_interaction": null,
            "modified_vulnerable_system_confidentiality": null,
            "modified_vulnerable_system_integrity": null,
            "modified_vulnerable_system_availability": null,
            "modified_subsequent_system_confidentiality": null,
            "modified_subsequent_system_integrity": null,
            "modified_subsequent_system_availability": null,
            "safety": null,
            "automatable": null,
            "recovery": null,
            "value_density": null,
            "vulnerability_response_effort": null,
            "provider_urgency": null,
            "base_score": 9.8,
            "base_severity": "CRITICAL"
          }
        }
      }
    }
  ]
}
```

## Related Examples

- [Sort by Vendor](/reference/vulnerability/search/examples/sort-enrichment-cpe-vendor/)
- [Last Reachable Page (10,000 Results)](/reference/vulnerability/search/examples/page-400/)
- [SQL Injection or OS Command Injection Since September 2026](/reference/vulnerability/search/examples/sqli-or-command-injection-recent/)
- [Microsoft CVEs of 2024 With a High EPSS](/reference/vulnerability/search/examples/microsoft-2024-high-epss/)
- [CVEs Published in December 2021](/reference/vulnerability/search/examples/published/)
- [Sort by KEV Date: Latest Additions First](/reference/vulnerability/search/examples/sort-cisa-kev-date-added/)
